POST Agents/EMail/GetParticipantInfoFromEmailAddress
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/Agents/EMail/GetParticipantInfoFromEmailAddress
Get participant data associated with the participant in the emails iCal attachment
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/EMail/GetParticipantInfoFromEmailAddress?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
EmailAddress, AppointmentId
| Property Name | Type | Description |
|---|---|---|
| EmailAddress | String | |
| AppointmentId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: Person
| Property Name | Type | Description |
|---|---|---|
| Position | string | The position. This is a predefined SuperOffice value, different from Title |
| PersonId | int32 | Primary key |
| Mrmrs | string | e.g. Mrs sex_title |
| Firstname | string | First name |
| Lastname | string | Last name |
| MiddleName | string | Middle name or 'van' etc. |
| Title | string | Title |
| Description | string | Info text/description on person. |
| string | First email on contact person. | |
| FullName | string | Get the persons full name (internal name used in clients for employees). |
| DirectPhone | string | Returns the direct phone that belong to the contact person. |
| FormalName | string | Get formal name for a person, as used in labels. (Full name + person title + academic title) |
| CountryId | int32 | Country |
| ContactId | int32 | Owning contact ID |
| ContactName | string | The persons company name |
| Retired | int32 | 1 = the user is retired and should have no rights, not appear in lists, etc. |
| Rank | int32 | Display sort sequence for default sort order |
| ActiveInterests | int32 | Number of records in pintr table; select count(*) from pintr pi where pi.person_id = this.person_id == activeInterests is always true |
| ContactDepartment | string | The persons contact department |
| ContactCountryId | int32 | The persons contact country id |
| ContactOrgNr | string | The persons contact organization number |
| FaxPhone | string | Returns the fax phone that belong to the contact person. |
| MobilePhone | string | Returns the mobile phone that belong to the contact person. |
| ContactPhone | string | Returns the direct phone that belong to the persons contact. |
| AssociateName | string | Name of the person's owner |
| AssociateId | int32 | Id of the item's owner (Associate id) |
| UsePersonAddress | bool | If 1, use person's address for mailing instead of company address |
| ContactFax | string | Actual phone number as eneterd by the user |
| Kanafname | string | Kana first name, used in Japanese versions only |
| Kanalname | string | Kana last name, used in Japanese versions only |
| Post1 | string | Postal address, used in Japanese versions only |
| Post2 | string | Postal address, used in Japanese versions only |
| Post3 | string | Postal address, used in Japanese versions only |
| EmailName | string | E-mail description |
| ContactFullName | string | Company full name + department |
| ActiveErpLinks | int32 | How many active ERP links are there for this person? |
| TicketPriorityId | int32 | Ticket priority ID |
| SupportLanguageId | int32 | Support priority ID |
| SupportAssociateId | int32 | Our support contact for this person |
| CategoryName | string | The category list item name |
| PersonNumber | string | Alphanumeric user field |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/EMail/GetParticipantInfoFromEmailAddress
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"EmailAddress": "elbert.buckridge@lindgren.us",
"AppointmentId": 517
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Position": "expedita",
"PersonId": 841,
"Mrmrs": "eum",
"Firstname": "Yessenia",
"Lastname": "Christiansen",
"MiddleName": "Daugherty, Torphy and Swift",
"Title": "fugiat",
"Description": "Upgradable tangible moratorium",
"Email": "lelah@brown.ca",
"FullName": "Kellie Dicki V",
"DirectPhone": "1-193-119-8449",
"FormalName": "Towne Group",
"CountryId": 403,
"ContactId": 66,
"ContactName": "Tremblay Inc and Sons",
"Retired": 744,
"Rank": 404,
"ActiveInterests": 289,
"ContactDepartment": "",
"ContactCountryId": 175,
"ContactOrgNr": "879058",
"FaxPhone": "1-075-481-5265",
"MobilePhone": "507.373.8055 x677",
"ContactPhone": "1-881-585-2032",
"AssociateName": "Wiza-Kihn",
"AssociateId": 544,
"UsePersonAddress": false,
"ContactFax": "quae",
"Kanafname": "nostrum",
"Kanalname": "dolores",
"Post1": "voluptas",
"Post2": "illo",
"Post3": "provident",
"EmailName": "ivah@schimmel.biz",
"ContactFullName": "Ariane Padberg IV",
"ActiveErpLinks": 200,
"TicketPriorityId": 972,
"SupportLanguageId": 396,
"SupportAssociateId": 344,
"CategoryName": "VIP Customer",
"PersonNumber": "1607077",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 642
}
}
}